NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Motion::SplineBeamPropertyBuilder Class Reference

Represents a Motion::SplineBeamPropertyBuilder builder
To create a new instance of this class, use NXOpen::Motion::SplineBeamPropertyCollection::CreateSplineBeamPropertyBuilder
Default values. More...

Inheritance diagram for NXOpen::Motion::SplineBeamPropertyBuilder:
NXOpen::Motion::MotionBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  DampingTypes { DampingTypesViscous, DampingTypesStructural }
 the damping type More...
 

Public Member Functions

NXOpen::ExpressionAsyTimoshenkoCorrection ()
 Returns the ASY Timoshenko correction
Created in NX12.0.0. More...
 
NXOpen::ExpressionAszTimoshenkoCorrection ()
 Returns the ASZ Timoshenko correction
Created in NX12.0.0. More...
 
NXOpen::Motion::CustomizedMaterialBuilderCustomizedMaterial ()
 Returns the customized material
Created in NX12.0.0. More...
 
NXOpen::ExpressionDampingRatio ()
 Returns the damping ratio
Created in NX12.0.0. More...
 
NXOpen::Motion::SplineBeamPropertyBuilder::DampingTypes DampingType ()
 Returns the damping method
Created in NX12.0.0. More...
 
bool IsBeamCrossDamping ()
 Returns the beam cross damping flag
Created in NX12.0.0. More...
 
NXString Name ()
 Returns the name of the spline beam object
Created in NX12.0.0. More...
 
void SetBeamCrossDamping (bool type)
 Sets the beam cross damping flag
Created in NX12.0.0. More...
 
void SetDampingType (NXOpen::Motion::SplineBeamPropertyBuilder::DampingTypes type)
 Sets the damping method
Created in NX12.0.0. More...
 
void SetName (const NXString &name)
 Sets the name of the spline beam object
Created in NX12.0.0. More...
 
void SetName (const char *name)
 Sets the name of the spline beam object
Created in NX12.0.0. More...
 
- Public Member Functions inherited from NXOpen::Motion::MotionBuilder
double DisplayScale ()
 Returns the icon display scale
Created in NX5.0.0. More...
 
NXString GroupName ()
 Returns the group name
Created in NX5.0.0. More...
 
NXOpen::Motion::MotionObject::GroupType GroupType ()
 Returns the group type
Created in NX5.0.0. More...
 
void SetDisplayScale (double displayScale)
 Sets the icon display scale
Created in NX5.0.0. More...
 
void SetGroupName (const NXString &groupName)
 Sets the group name
Created in NX5.0.0. More...
 
void SetGroupName (const char *groupName)
 Sets the group name
Created in NX5.0.0. More...
 
void SetGroupType (NXOpen::Motion::MotionObject::GroupType groupType)
 Sets the group type
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Motion::SplineBeamPropertyBuilder builder
To create a new instance of this class, use NXOpen::Motion::SplineBeamPropertyCollection::CreateSplineBeamPropertyBuilder
Default values.

Property Value

AsyTimoshenkoCorrection.Value

0

AszTimoshenkoCorrection.Value

0

CustomizedMaterial.Density.Value

7.8e-6 (millimeters part), 7.3e-4 (inches part)

CustomizedMaterial.PoissonRatio.Value

0.3

CustomizedMaterial.YoungModulus.Value

2e+8 (millimeters part), 2.9e+7 (inches part)

DampingRatio.Value

0

DampingType

Viscous


Created in NX12.0.0.

Member Enumeration Documentation

the damping type

Enumerator
DampingTypesViscous 

Viscous.

DampingTypesStructural 

Structural.

Member Function Documentation

NXOpen::Expression* NXOpen::Motion::SplineBeamPropertyBuilder::AsyTimoshenkoCorrection ( )

Returns the ASY Timoshenko correction
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Expression* NXOpen::Motion::SplineBeamPropertyBuilder::AszTimoshenkoCorrection ( )

Returns the ASZ Timoshenko correction
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::CustomizedMaterialBuilder* NXOpen::Motion::SplineBeamPropertyBuilder::CustomizedMaterial ( )

Returns the customized material
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Expression* NXOpen::Motion::SplineBeamPropertyBuilder::DampingRatio ( )

Returns the damping ratio
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXOpen::Motion::SplineBeamPropertyBuilder::DampingTypes NXOpen::Motion::SplineBeamPropertyBuilder::DampingType ( )

Returns the damping method
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

bool NXOpen::Motion::SplineBeamPropertyBuilder::IsBeamCrossDamping ( )

Returns the beam cross damping flag
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

NXString NXOpen::Motion::SplineBeamPropertyBuilder::Name ( )

Returns the name of the spline beam object
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

void NXOpen::Motion::SplineBeamPropertyBuilder::SetBeamCrossDamping ( bool  type)

Sets the beam cross damping flag
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
typetype
void NXOpen::Motion::SplineBeamPropertyBuilder::SetDampingType ( NXOpen::Motion::SplineBeamPropertyBuilder::DampingTypes  type)

Sets the damping method
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
typetype
void NXOpen::Motion::SplineBeamPropertyBuilder::SetName ( const NXString name)

Sets the name of the spline beam object
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
namename
void NXOpen::Motion::SplineBeamPropertyBuilder::SetName ( const char *  name)

Sets the name of the spline beam object
Created in NX12.0.0.



License requirements : mechanisms ("MECHANISMS")

Parameters
namename

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.